Skip to main content
GET
/
v1
/
organizations
/
{organization_id}
/
workspaces
/
{workspace_id}
/
analyses
/
{analysis_id}
/
metrics
/
summary
/
brand_composite_score_by_country
Brand Performance by Market/Country
curl --request GET \
  --url https://api.shareofmodel.ai/v1/organizations/{organization_id}/workspaces/{workspace_id}/analyses/{analysis_id}/metrics/summary/brand_composite_score_by_country \
  --header 'Authorization: <api-key>'
[
  {
    "brand": "<string>",
    "country": "<string>",
    "brand_awareness_score": "<string>",
    "pros_and_cons_score": "<string>",
    "attributes_score": "<string>",
    "composite_score": "<string>",
    "month": "2023-12-25",
    "week": "2023-12-25"
  }
]

Documentation Index

Fetch the complete documentation index at: https://docs.shareofmodel.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Path Parameters

analysis_id
string<uuid>
required

A UUID string identifying the analysis.

organization_id
string<uuid>
required

A UUID string identifying the organization.

workspace_id
string<uuid>
required

A UUID string identifying the workspace.

Query Parameters

brand
string
required

Filter by one specific brand.

collection_date__gte
string<date>
required

Filter by a collection date being greater than or equal the specified date. YYYY-MM-DD format

collection_date__lt
string<date>
required

Filter by a collection date being less than the specified date. YYYY-MM-DD format

period
enum<string>

Interval of the timeseries.

Available options:
month,
week

Response

200 - application/json
brand
string
required
country
string
required
brand_awareness_score
string<decimal>
required
Pattern: ^-?\d{0,1}(?:\.\d{0,6})?$
pros_and_cons_score
string<decimal>
required
Pattern: ^-?\d{0,1}(?:\.\d{0,6})?$
attributes_score
string<decimal>
required
Pattern: ^-?\d{0,1}(?:\.\d{0,6})?$
composite_score
string<decimal>
required
Pattern: ^-?\d{0,1}(?:\.\d{0,6})?$
month
string<date>
week
string<date>